Platform: Windows Versions: All versions

Problem Description

When I start COMSOL Multiphysics on Windows I get one of the following error messages:

comsol.exe - .NET Framework Initialization Error
To run this application, you must first install one of the following versions of the the .NET Framwork: v4.5.50938

This error occurs if the .NET framework was not properly installed on your computer by the COMSOL installation program.

Solution

Install the .NET framework manually.

  1. Find the COMSOL installation DVD or get it from the Product Download page.

  2. In the ext directory of the DVD (for example D:\ext), you will find the file

    NDP451-KB2858728-x86-x64-AllOS-ENU.exe

  3. Double-click the file to run it, and answer Yes, Install, and Finish to any questions.

  4. Start COMSOL.

If the problem remains after performing the steps above, start Windows Update and verify that the Windows Imaging Component is installed and is updated to the latest version. Then run the .NET installation again.

If the problem still remains after these steps, please contact support@comsol.com.

Temporary workaround:

Start the COMSOL Cross-platform Desktop. The cross-platform desktop does not require that the .NET Framework is installed.

  • Double-click the file comsolxpl.exe in the folder bin\win64 (64 bit) in the COMSOL installation directory.